﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace ClipboardMonitorDemo
{
  public partial class FormMain : Form
  {
    public FormMain()
    {
      InitializeComponent();
      clipboardMonitor.Active = true;
      Font = SystemFonts.MessageBoxFont;
    }

    private void clipboardMonitor_ClipboardChanged(object sender, EventArgs e)
    {
      IDataObject data = new DataObject();
      data = Clipboard.GetDataObject();
      if (data.GetDataPresent(DataFormats.Text)) textBoxText.Text = (string)data.GetData(DataFormats.Text);
      if (data.GetDataPresent(DataFormats.Rtf)) richTextBox.Rtf = (string)data.GetData(DataFormats.Rtf);
      if (data.GetDataPresent(DataFormats.Html)) textBoxHTML.Text = (string)data.GetData(DataFormats.Html);
      if (data.GetDataPresent(DataFormats.Bitmap)) pictureBox.Image = (Image)data.GetData(DataFormats.Bitmap);
    }
  }
}
