﻿using System;
using System.Diagnostics;
using System.Drawing;
using System.Windows.Forms;

namespace NostalgiaDemo
{
  public partial class FormMain : Form
  {
    public FormMain()
    {
      InitializeComponent();
      Font = SystemFonts.MessageBoxFont;
    }

    private void FormMain_Shown(object sender, EventArgs e)
    {
      pictureBox.Left = (panelInfo.Width - pictureBox.Width) / 2;
    }

    private void buttonHomePage_Click(object sender, EventArgs e)
    {
      Process.Start("http://www.greatis.com/dotnet/nostalgia/");
    }

    private void buttonDelphi_Click(object sender, EventArgs e)
    {
      Process.Start("DelphiNostalgiaDemo.exe");
    }

    private void buttonClipboardMonitor_Click(object sender, EventArgs e)
    {
      Process.Start("ClipboardMonitorDemo.exe");
    }

    private void buttonHotKeys_Click(object sender, EventArgs e)
    {
      Process.Start("HotKeysDemo.exe");
    }

    private void buttonSystemCursor_Click(object sender, EventArgs e)
    {
      Process.Start("SystemCursorDemo.exe");
    }

    private void buttonWindowInformation_Click(object sender, EventArgs e)
    {
      Process.Start("WindowInformationDemo.exe");
    }

    private void buttonWindowsShutdown_Click(object sender, EventArgs e)
    {
      Process.Start("WindowsShutdownDemo.exe");
    }

    private void buttonWinEvent_Click(object sender, EventArgs e)
    {
      Process.Start("WinEventDemo.exe");
    }
  }
}
