﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace HotKeysDemo
{
  public partial class HotKey : Form
  {
    public HotKey()
    {
      InitializeComponent();
      Font = SystemFonts.MessageBoxFont;
    }

    private void HotKey_Load(object sender, EventArgs e)
    {
      foreach (Keys key in Enum.GetValues(typeof(Keys)))
        comboBoxKeys.Items.Add(key);
      comboBoxKeys.SelectedIndex = 0;
    }

    public Keys Key { get { return (Keys)comboBoxKeys.SelectedItem; } }
    public bool Control { get { return checkBoxControl.Checked; } }
    public bool Alt { get { return checkBoxAlt.Checked; } }
    public bool Shift { get { return checkBoxShift.Checked; } }
    public bool Win { get { return checkBoxWin.Checked; } }
  }
}
