﻿using System;
using System.Drawing;
using System.Windows.Forms;
using Greatis.Nostalgia;

namespace WindowsShutdownDemo
{
  public partial class FormMain : Form
  {
    public FormMain()
    {
      InitializeComponent();
      Font = SystemFonts.MessageBoxFont;
    }

    private void buttonTurnOffDialog_Click(object sender, EventArgs e)
    {
      windowsShutdown.TurnOffDialog();
    }

    private void buttonSleep_Click(object sender, EventArgs e)
    {
      windowsShutdown.Sleep(checkBoxForce.Checked);
    }

    private void buttonHibernate_Click(object sender, EventArgs e)
    {
			windowsShutdown.Hibernate(checkBoxForce.Checked);
    }

    private void buttonLogOff_Click(object sender, EventArgs e)
    {
			windowsShutdown.LogOff(checkBoxForce.Checked);
    }

    private void buttonPowerOff_Click(object sender, EventArgs e)
    {
			windowsShutdown.PowerOff(checkBoxForce.Checked);
    }

    private void buttonReboot_Click(object sender, EventArgs e)
    {
			windowsShutdown.Reboot(checkBoxForce.Checked);
    }

    private void buttonShutdown_Click(object sender, EventArgs e)
    {
			windowsShutdown.Shutdown(checkBoxForce.Checked);
    }
  }
}
